Bug 822216 - CVE-2012-1149 openoffice.org, libreoffice: Integer overflows, leading to heap-buffer overflows in JPEG, PNG and BMP reader implementations [fedora-all]
Summary: CVE-2012-1149 openoffice.org, libreoffice: Integer overflows, leading to heap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 16
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-1149
TreeView+ depends on / blocked
 
Reported: 2012-05-16 16:24 UTC by Jan Lieskovsky
Modified: 2012-06-13 21:28 UTC (History)
6 users (show)

Fixed In Version: libreoffice-3.4.5.2-15.fc16
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-27 01:58:24 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-05-16 16:24:18 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=821726

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2012-05-17 12:36:38 UTC
libreoffice-3.4.5.2-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-15.fc16

Comment 2 Fedora Update System 2012-05-18 08:49:39 UTC
libreoffice-3.3.4.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.4.1-5.fc15

Comment 3 Fedora Update System 2012-05-18 10:32:09 UTC
Package libreoffice-3.4.5.2-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8042/libreoffice-3.4.5.2-15.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-05-27 01:58:24 UTC
libreoffice-3.4.5.2-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2012-06-13 21:28:44 UTC
libreoffice-3.3.4.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.